> ## Documentation Index
> Fetch the complete documentation index at: https://docs.windermere.com/llms.txt
> Use this file to discover all available pages before exploring further.

# offices

> MoxiWorks Platform Office entities represent brokerage offices.



## OpenAPI

````yaml /windermereapi(1).json get /offices
openapi: 3.0.1
info:
  title: WindermereAPI
  description: ''
  version: '1.0'
servers:
  - url: https://api.windermere.com/v1/api
security:
  - apiKeyHeader: []
  - apiKeyQuery: []
paths:
  /offices:
    get:
      tags:
        - Endpoints
        - Agents & Offices
      summary: offices
      description: MoxiWorks Platform Office entities represent brokerage offices.
      operationId: offices
      parameters:
        - name: moxi_works_company_id
          in: query
          description: >-
            A valid MoxiWorks Company ID. Use Company Endpoint to determine what
            moxi_works_company_id you can use.
          required: true
          schema:
            type: string
        - name: deactivated
          in: query
          description: >-
            To find offices deactivated within the specified timeframe, pass
            true for this boolean parameter.
          schema:
            type: boolean
        - name: page_number
          in: query
          description: >-
            For queries with multi-page responses, use the page_number parameter
            to return data for specific pages. Data for page 1 is returned if
            this parameter is not included. Use this parameter if total_pages
            indicates that there is more than one page of data available.
          schema:
            type: integer
        - name: deactivated_since
          in: query
          description: >-
            any Office objects deactivated after this Unix timestamp will be
            returned in the response. If no deactivated_since parameter is
            included in the request, only Office objects deactivated in the last
            seven days will be returned.
          schema:
            type: integer
        - name: parent_company_id
          in: query
          description: >-
            This is the numeric_id or moxi_works_company_id of a company that is
            considered to be a parent company in the MoxiWorks Platform. This
            request attribute has two functions:


            1. It provides for a broad scope by which partners may be afforded
            permissions to perform MoxiWorks Platform actions, in scenarios
            where a partner does business with a parent company in the MoxiWorks
            System.

            2. It provides broad scope under which agents may be looked up using
            the source_agent_id request attribute in many scenarios across
            different MoxiWorks Platform endpoints and actions.


            Please note that this attribute cannot be used as a replacement for
            the moxi_works_company_id request attribute in scenarios where the
            moxi_works_company_id request attribute is required by the action.


            Please note that this attribute cannot be used to broaden scope of
            any request where the scope of the request is defined by the
            moxi_works_company_id request attribute.


            Please note that when passed in conjunction with the
            moxi_works_company_id request attribute, the value of
            moxi_works_company_id request attribute must be the numeric id form.


            Any use of this request attribute must be coordinated with MoxiWorks
            Platform Partner services. Please reach out to partner services for
            more information.
          schema:
            type: string
        - name: timestamps_only
          in: query
          description: >-
            If supplied then the results will exclude all data except primary
            identifiers and a unix timestamp (last_updated) & iso8601 timestamp
            (modification_timestamp) of the last time this record was updated.
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Offices'
              example:
                page_number: 0
                total_pages: 0
                offices:
                  - moxi_works_office_id: string
                    id: string
                    client_office_id: string
                    image_url: string
                    name: string
                    common_name: string
                    address: string
                    address2: {}
                    city: string
                    county: string
                    state: string
                    zip_code: string
                    alt_phone: string
                    email: string
                    facebook: {}
                    google_plus: {}
                    phone: string
                    timezone: string
                    twitter: {}
                    office_website: string
                    region: string
                    mailing_address: string
                    mailing_address2: string
                    mailing_city: string
                    mailing_zip: string
                    mailing_state: string
                    company_programs:
                      - string
                    logo_url: string
components:
  schemas:
    Offices:
      type: object
      properties:
        page_number:
          type: integer
        total_pages:
          type: integer
        offices:
          type: array
          items:
            type: object
            properties:
              moxi_works_office_id:
                type: string
              id:
                type: string
              client_office_id:
                type: string
              image_url:
                type: string
              name:
                type: string
              common_name:
                type: string
              address:
                type: string
              address2: {}
              city:
                type: string
              county:
                type: string
              state:
                type: string
              zip_code:
                type: string
              alt_phone:
                type: string
              email:
                type: string
              facebook: {}
              google_plus: {}
              phone:
                type: string
              timezone:
                type: string
              twitter: {}
              office_website:
                type: string
              region:
                type: string
              mailing_address:
                type: string
              mailing_address2:
                type: string
              mailing_city:
                type: string
              mailing_zip:
                type: string
              mailing_state:
                type: string
              company_programs:
                type: array
                items:
                  type: string
              logo_url:
                type: string
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      name: x-api-key
      in: header
    apiKeyQuery:
      type: apiKey
      name: api-key
      in: query

````